require 'soapforce'

class SalesforceAPI
  def create_contact(contact)
    @connection.create('Contact', { FirstName: contact.name, LastName: contact.last_name, Email: contact.email, Title: contact.job_title, Phone: contact.phone, Web_site__c: contact.website })
  end

  def connect(account)
    @connection = Soapforce::Client.new
    @connection.authenticate(:username => account.username, :password => account.password)
  end
end